# Power Permission

## Get

> Retrieve the Power Permissions of an Admin Account by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AdminAccount/{adminId}/PowerPermission":{"get":{"tags":["1-Farm settings//Administrators"],"summary":"Get","description":"Retrieve the Power Permissions of an Admin Account by ID.","operationId":"48b6bb45-3551-4363-9f10-99b286bd0acd","parameters":[{"name":"adminId","in":"path","description":"Admin Account ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASPowerPermission"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASPowerPermission":{"type":"object","properties":{"adminId":{"type":"integer","description":"<para type=\"description\">Admin account ID</para>","format":"int32"},"allowSiteChanges":{"type":"boolean","description":"<para type=\"description\">Permission to do changes to RAS Site settings.</para>"},"allowConnectionChanges":{"type":"boolean","description":"<para type=\"description\">Permission to do changes to Connection settings.</para>"},"allowSessionManagement":{"type":"boolean","description":"<para type=\"description\">Permission to manage user sessions.</para>"},"allowDeviceManagementChanges":{"type":"boolean","description":"<para type=\"description\">Permission to manage client devices.</para>"},"allowViewingReportingInfo":{"type":"boolean","description":"<para type=\"description\">Permission for read mode access to RAS Reporting.</para>"},"allowViewingMonitoringInfo":{"type":"boolean","description":"<para type=\"description\">Permission for read mode access to RAS Monitoring.</para>"},"allowViewingLicenseInfo":{"type":"boolean","description":"<para type=\"description\">Permission for read mode access to the License Information.</para>"},"allowViewingSiteInfo":{"type":"boolean","description":"<para type=\"description\">Permission for read mode access to RAS Site information.</para>"},"allowPublishingChanges":{"type":"boolean","description":"<para type=\"description\">Permission to manage published resources.</para>"},"allowPolicyChanges":{"type":"boolean","description":"<para type=\"description\">Permission to manage RAS client Policies.</para>"},"allowViewingPolicyInfo":{"type":"boolean","description":"<para type=\"description\">Permission for read mode to RAS client Policies.</para>"},"allowViewingCostInsights":{"type":"boolean","description":"<para type=\"description\">Permission to view Cost Insights.</para>"},"allowAllSites":{"type":"boolean","description":"<para type=\"description\">Permission to manage all Sites in the Farm.</para>"},"allowInSiteIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">A list of site IDs which the administrator should be allowed to manage.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The RAS power administrator permissions</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update a Power Permission of an Admin Account.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AdminAccount/{adminId}/PowerPermission":{"put":{"tags":["1-Farm settings//Administrators"],"summary":"Update","description":"Update a Power Permission of an Admin Account.","operationId":"6d08dbf5-41f5-496f-9fc5-ea7c4b292d49","parameters":[{"name":"adminId","in":"path","description":"Admin Account ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Power Permission settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPowerPermission"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPowerPermission":{"type":"object","properties":{"allowSiteChanges":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow Site changes\" option.</para>","nullable":true},"allowPublishingChanges":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow Publishing changes\" option.</para>","nullable":true},"allowConnectionChanges":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow Connection changes\" option.</para>","nullable":true},"allowViewingReportingInfo":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow viewing of RAS Reporting\" option.</para>","nullable":true},"allowViewingMonitoringInfo":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow viewing of RAS Monitoring\" option.</para>","nullable":true},"allowViewingLicenseInfo":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow viewing of License Information\" option.</para>","nullable":true},"allowViewingSiteInfo":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow viewing of Site Information\" option.</para>","nullable":true},"allowViewingPolicyInfo":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow viewing of Policy Information\" option.</para>","nullable":true},"allowViewingCostInsights":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow viewing of Cost Insights\" option.</para>","nullable":true},"allowSessionManagement":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow Session Management\" option.</para>","nullable":true},"allowDeviceManagementChanges":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow Device Management changes\" option.</para>","nullable":true},"allowPolicyChanges":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Allow Policy changes\" option.</para>","nullable":true},"allowAllSites":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"All Sites\" option. If enabled, the administrator can manage all sites in the farm. Otherwise, sites can be specified individually.</para>","nullable":true},"allowInSiteIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">A list of site ids (an integer array) which the administrator should be allowed to manage.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update RAS power administrator permissions</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
